Package org.eclipse.emf.cdo.common.util

## Class CDOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.emf.cdo.common.util.CDOException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `CDOClassNotFoundException`, `CDODuplicateResourceException`, `CDOMerger.ConflictException`, `CDOPackageNotFoundException`, `CDOResourceNodeNotFoundException`, `CDOUnitManager.UnitExistsException`, `CDOUnitManager.UnitNotFoundException`, `CDOViewSet.CDOViewSetException`, `DanglingReferenceException`, `InvalidObjectException`, `InvalidURIException`, `LockTimeoutException`, `ObjectNotFoundException`, `ReadOnlyException`, `RepositoryNotFoundException`, `ServerException`, `StaleRevisionLockException`, `TransportException`

      public class CDOException
      extends java.lang.RuntimeException

  An unchecked exception for general CDO purposes.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOException()` |
    `CDOException​(java.lang.String message)` |
    `CDOException​(java.lang.String message, java.lang.Throwable cause)` |
    `CDOException​(java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOException

          public CDOException()

    - #### CDOException

          public CDOException​(java.lang.String message)

    - #### CDOException

          public CDOException​(java.lang.Throwable cause)

    - #### CDOException

          public CDOException​(java.lang.String message,
                              java.lang.Throwable cause)